package ru.dbotthepony.mc.otm.client.screen

import net.minecraft.network.chat.Component
import net.minecraft.world.entity.player.Inventory
import ru.dbotthepony.mc.otm.client.screen.panels.FramePanel
import ru.dbotthepony.mc.otm.client.screen.panels.GridPanel
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel
import ru.dbotthepony.mc.otm.menu.MenuCargoCrate

class ScreenCargoCrate(menu: MenuCargoCrate, inventory: Inventory, title: Component) : MatteryScreen<MenuCargoCrate>(menu, inventory, title) {
	override fun makeMainFrame(): FramePanel {
		val frame = FramePanel(this, null, 0f, 0f, INVENTORY_FRAME_WIDTH, 22f + 4f + 6f * 18f, getTitle())
		val grid = GridPanel(this, frame, 8f, 18f, 9f * 18f, 6f * 18f, 9, 6)

		for (slot in menu.crateSlots)
			SlotPanel(this, grid, slot)

		return frame
	}
}
