package ru.dbotthepony.mc.otm.registry;

import net.minecraft.resources.ResourceLocation;
import ru.dbotthepony.mc.otm.OverdriveThatMatters;

public class MNames {
	private static ResourceLocation loc(String path) {
		return new ResourceLocation(OverdriveThatMatters.MOD_ID, path);
	}

	// blocks
	public static final ResourceLocation ANDROID_STATION = loc("android_station"); // без рецепта
	public static final ResourceLocation BATTERY_BANK = loc("battery_bank"); // нужен рецепт
	public static final ResourceLocation MATTER_DECOMPOSER = loc("matter_decomposer"); // есть рецепт
	public static final ResourceLocation MATTER_CAPACITOR_BANK = loc("matter_capacitor_bank"); // есть рецепт
	public static final ResourceLocation MATTER_CABLE = loc("matter_cable"); // есть рецепт
	public static final ResourceLocation PATTERN_STORAGE = loc("pattern_storage"); // есть рецепт
	public static final ResourceLocation MATTER_SCANNER = loc("matter_scanner"); // есть рецепт
	public static final ResourceLocation MATTER_PANEL = loc("matter_panel"); // есть рецепт
	public static final ResourceLocation MATTER_REPLICATOR = loc("matter_replicator"); // есть рецепт
	public static final ResourceLocation MATTER_BOTTLER = loc("matter_bottler"); // есть рецепт
	public static final ResourceLocation DRIVE_VIEWER = loc("drive_viewer"); // есть рецепт
	public static final ResourceLocation DRIVE_RACK = loc("drive_rack"); // нужен рецепт (после улучшений)
	public static final ResourceLocation ITEM_MONITOR = loc("item_monitor"); // нужен рецепт (после улучшений)
	public static final ResourceLocation ENERGY_COUNTER = loc("energy_counter"); // есть рецепт
	public static final ResourceLocation CHEMICAL_GENERATOR = loc("chemical_generator"); // есть рецепт
	public static final ResourceLocation PLATE_PRESS = loc("plate_press"); // есть рецепт
	public static final ResourceLocation MATTER_RECYCLER = loc("matter_recycler"); // нужен рецепт

	public static final ResourceLocation DEBUG_EXPLOSION_SMALL = loc("debug_explosion_small");
	public static final ResourceLocation DEBUG_SPHERE_POINTS = loc("debug_sphere_points");

	public static final ResourceLocation BLACK_HOLE = loc("black_hole");
	public static final ResourceLocation GRAVITATION_STABILIZER = loc("gravitation_stabilizer"); // нужен рецепт
	public static final ResourceLocation GRAVITATION_STABILIZER_LENS = loc("gravitation_stabilizer_lens");
	public static final ResourceLocation CARGO_CRATE = loc("cargo_crate"); // нужен рецепт?

	// building blocks
	public static final ResourceLocation TRITANIUM_BLOCK = loc("tritanium_block");
	public static final ResourceLocation TRITANIUM_STRIPED_BLOCK = loc("tritanium_striped_block");

	public static final ResourceLocation CARBON_FIBRE_BLOCK = loc("carbon_fibre_block");

	// capabilities
	public static final ResourceLocation ANDROID_CAPABILITY = loc("android_capability");

	// items
	public static final ResourceLocation GRAVITATIONAL_DISRUPTOR = loc("gravitational_disruptor");
	public static final ResourceLocation MATTER_DUST = loc("matter_dust");

	public static final ResourceLocation PILL_ANDROID = loc("pill_android");
	public static final ResourceLocation PILL_HUMANE = loc("pill_humane");
	public static final ResourceLocation PILL_OBLIVION = loc("pill_oblivion");
	public static final ResourceLocation PILL_HEAL = loc("pill_heal");

	public static final ResourceLocation BATTERY_CRUDE = loc("battery_crude");
	public static final ResourceLocation BATTERY_BASIC = loc("battery_basic");
	public static final ResourceLocation BATTERY_NORMAL = loc("battery_normal");
	public static final ResourceLocation BATTERY_DENSE = loc("battery_dense");
	public static final ResourceLocation BATTERY_CAPACITOR = loc("battery_capacitor");
	public static final ResourceLocation BATTERY_CREATIVE = loc("battery_creative");

	public static final ResourceLocation MATTER_CAPACITOR_PARTS = loc("matter_capacitor_parts");
	public static final ResourceLocation MATTER_CAPACITOR_BASIC = loc("matter_capacitor_basic");
	public static final ResourceLocation MATTER_CAPACITOR_NORMAL = loc("matter_capacitor_normal");
	public static final ResourceLocation MATTER_CAPACITOR_DENSE = loc("matter_capacitor_dense");
	public static final ResourceLocation MATTER_CAPACITOR_CREATIVE = loc("matter_capacitor_creative");

	public static final ResourceLocation PATTERN_DRIVE_NORMAL = loc("pattern_drive_normal");
	public static final ResourceLocation PATTERN_DRIVE_CREATIVE = loc("pattern_drive_creative");

	public static final ResourceLocation NUTRIENT_PASTE = loc("nutrient_paste");

	public static final ResourceLocation PORTABLE_CONDENSATION_DRIVE = loc("portable_condensation_drive");
	public static final ResourceLocation PORTABLE_DENSE_CONDENSATION_DRIVE = loc("portable_dense_condensation_drive");

	public static final ResourceLocation BLACK_HOLE_SCANNER = loc("black_hole_scanner");
	public static final ResourceLocation GRAVITATION_FIELD_LIMITER = loc("gravitation_field_limiter");
	public static final ResourceLocation GRAVITATION_FIELD_SENSOR = loc("graivtation_field_sensor");
	public static final ResourceLocation PORTABLE_GRAVITATION_STABILIZER = loc("portable_gravitation_stabilizer");

	// armor
	public static final ResourceLocation TRITANIUM_HELMET = loc("tritanium_helmet");
	public static final ResourceLocation TRITANIUM_CHESTPLATE = loc("tritanium_chestplate");
	public static final ResourceLocation TRITANIUM_PANTS = loc("tritanium_pants");
	public static final ResourceLocation TRITANIUM_BOOTS = loc("tritanium_boots");

	// tools
	public static final ResourceLocation TRITANIUM_SWORD = loc("tritanium_sword");
	public static final ResourceLocation TRITANIUM_AXE = loc("tritanium_axe");
	public static final ResourceLocation TRITANIUM_PICKAXE = loc("tritanium_pickaxe");
	public static final ResourceLocation TRITANIUM_SHOVEL = loc("tritanium_shovel");
	public static final ResourceLocation TRITANIUM_HOE = loc("tritanium_hoe");

	// items: crafting components
	public static final ResourceLocation TRITANIUM_INGOT = loc("tritanium_ingot");

	public static final ResourceLocation MATTER_IO_PORT = loc("matter_io_port");
	public static final ResourceLocation MATTER_TRANSFORM_MATRIX = loc("matter_transform_matrix");

	public static final ResourceLocation ENERGY_BUS = loc("energy_bus");
	public static final ResourceLocation ELECTRIC_PARTS = loc("electric_parts");

	public static final ResourceLocation MACHINE_FRAME = loc("machine_frame");
	public static final ResourceLocation TRITANIUM_PLATE = loc("tritanium_plate");
	public static final ResourceLocation IRON_PLATE = loc("iron_plate");
	public static final ResourceLocation COPPER_WIRING = loc("copper_wiring");
	public static final ResourceLocation GOLD_WIRING = loc("gold_wiring");

	public static final ResourceLocation PORTABLE_CONDENSATION_DRIVE_CASING = loc("portable_condensation_drive_casing");
	public static final ResourceLocation PORTABLE_DENSE_CONDENSATION_DRIVE_CASING = loc("portable_dense_condensation_drive_casing");

	public static final ResourceLocation CIRCUIT_PLATING = loc("circuit_plating");
	public static final ResourceLocation BASIC_CONTROL_CIRCUIT = loc("basic_control_circuit");
	public static final ResourceLocation ADVANCED_CONTROL_CIRCUIT = loc("advanced_control_circuit");

	public static final ResourceLocation TRITANIUM_ORE = loc("tritanium_ore");
	public static final ResourceLocation DEEPSLATE_TRITANIUM_ORE = loc("deepslate_tritanium_ore");
	public static final ResourceLocation TRITANIUM_RAW_BLOCK = loc("tritanium_raw_block");
	public static final ResourceLocation TRITANIUM_ORE_CLUMP = loc("tritanium_ore_clump");

	// android features and research
	public static final ResourceLocation AIR_BAGS = loc("air_bags");

	public static final ResourceLocation LIMB_OVERCLOCKING = loc("limb_overclocking");
	public static final ResourceLocation LIMB_OVERCLOCKING_1 = loc("limb_overclocking_1");
	public static final ResourceLocation LIMB_OVERCLOCKING_2 = loc("limb_overclocking_2");
	public static final ResourceLocation LIMB_OVERCLOCKING_3 = loc("limb_overclocking_3");
	public static final ResourceLocation LIMB_OVERCLOCKING_4 = loc("limb_overclocking_4");

	public static final ResourceLocation[] LIMB_OVERCLOCKING_LIST = new ResourceLocation[]{LIMB_OVERCLOCKING_1, LIMB_OVERCLOCKING_2, LIMB_OVERCLOCKING_3, LIMB_OVERCLOCKING_4};

	public static final ResourceLocation NANOBOTS = loc("nanobots");
	public static final ResourceLocation NANOBOTS_REGENERATION = loc("nanobots_regeneration");
	public static final ResourceLocation NANOBOTS_REGENERATION_1 = loc("nanobots_regeneration_1");
	public static final ResourceLocation NANOBOTS_REGENERATION_2 = loc("nanobots_regeneration_2");
	public static final ResourceLocation NANOBOTS_REGENERATION_3 = loc("nanobots_regeneration_3");
	public static final ResourceLocation NANOBOTS_REGENERATION_4 = loc("nanobots_regeneration_4");

	public static final ResourceLocation[] NANOBOTS_REGENERATION_LIST = new ResourceLocation[]{NANOBOTS_REGENERATION_1, NANOBOTS_REGENERATION_2, NANOBOTS_REGENERATION_3, NANOBOTS_REGENERATION_4};

	public static final ResourceLocation NANOBOTS_ARMOR = loc("nanobots_armor");

	public static final ResourceLocation NANOBOTS_ARMOR_STRENGTH_1 = loc("nanobots_armor_strength_1");
	public static final ResourceLocation NANOBOTS_ARMOR_STRENGTH_2 = loc("nanobots_armor_strength_2");
	public static final ResourceLocation NANOBOTS_ARMOR_STRENGTH_3 = loc("nanobots_armor_strength_3");
	public static final ResourceLocation[] NANOBOTS_ARMOR_STRENGTH_LIST = new ResourceLocation[]{
		NANOBOTS_ARMOR_STRENGTH_1,
		NANOBOTS_ARMOR_STRENGTH_2,
		NANOBOTS_ARMOR_STRENGTH_3,
	};

	public static final ResourceLocation NANOBOTS_ARMOR_SPEED_1 = loc("nanobots_armor_speed_1");
	public static final ResourceLocation NANOBOTS_ARMOR_SPEED_2 = loc("nanobots_armor_speed_2");
	public static final ResourceLocation NANOBOTS_ARMOR_SPEED_3 = loc("nanobots_armor_speed_3");
	public static final ResourceLocation[] NANOBOTS_ARMOR_SPEED_LIST = new ResourceLocation[]{
		NANOBOTS_ARMOR_SPEED_1,
		NANOBOTS_ARMOR_SPEED_2,
		NANOBOTS_ARMOR_SPEED_3,
	};

	public static final ResourceLocation HYDRAULICS_OVERLOAD = loc("hydraulics_overload");
	public static final ResourceLocation HYDRAULICS_OVERLOAD_1 = loc("hydraulics_overload_1");
	public static final ResourceLocation HYDRAULICS_OVERLOAD_2 = loc("hydraulics_overload_2");
	public static final ResourceLocation HYDRAULICS_OVERLOAD_3 = loc("hydraulics_overload_3");

	public static final ResourceLocation EXTENDED_REACH = loc("extended_reach");

	// stats
	public static final ResourceLocation DAMAGE_ABSORBED = loc("damage_absorbed");
	public static final ResourceLocation HEALTH_REGENERATED = loc("health_regenerated");
	public static final ResourceLocation POWER_CONSUMED = loc("power_consumed");
}
